%global source_name librtprocess
%global source_summary RawTherapee's processing algorithms
%global source_version 0.12.0
%global source_release 3
%global source_license GPLv3
%global source_description %{expand:
This is a project that aims to make some of RawTherapee's highly optimized
raw processing routines readily available for other FOSS photo editing
software.
The goal is to move certain source files from RawTherapee into this library.
Thus, any changes to the source can be done here and will be used by the
projects which use librtprocess.
}
%global forge_url0 https://github.com/CarVac/librtprocess
%global forge_commit0 bc2f53bc041478ff6d8c804940fcd8611c731a87
%global forge_patchlist0 %{expand:
# Fix build with GCC11
librtprocess-0.12.0-gcc11.patch
}
%global source_tags %{expand:
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  make
}


%forgeauto_init
%forgeauto_pkg


%package devel
Summary:        Libraries, includes, etc. used to develop an application with librtprocess
License:        GPLv3
Requires:       %{name}%{_isa} = %{version}-%{release}

%description devel
These are the files needed to develop an application using librtprocess.

%sourcelist
%forgeauto_sources

%patchlist
%forgeauto_patches


%prep
%forgeauto_prep


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE.txt
%doc README.md
%{_libdir}/*.so.0
%{_libdir}/*.so.0.0.1

%files devel
%{_includedir}/rtprocess
%{_libdir}/*.so
%{_libdir}/pkgconfig/rtprocess.pc
%{_libdir}/cmake/rtprocess/


%changelog
* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar 07 2021 Mattia Verga <mattia.verga@protonmail.com> - 0.12.0-1
- Initial import
